Bug 973318 - Incorrect dependency on python-sphinx10
Incorrect dependency on python-sphinx10
Product: Fedora
Classification: Fedora
Component: pytest (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Moschny
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-06-11 12:45 EDT by Endi Sukma Dewata
Modified: 2013-06-29 14:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: pytest-2.3.5-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-29 14:33:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Endi Sukma Dewata 2013-06-11 12:45:10 EDT
In pytest specfile there is a conditional dependency on python-sphinx/sphinx10:

%if 0%{?fedora}
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx10
%endif # fedora

%if 0%{?fedora}
for l in doc/* ; do
  make -C $l html PYTHONPATH=$(pwd)
for l in doc/* ; do
  make -C $l html SPHINXBUILD=sphinx-1.0-build PYTHONPATH=$(pwd)
%endif # fedora

This is causing a build issue on RHEL. In both locations the condition should be changed to:
%if 0%{rhel} || 0%{?fedora}
Comment 1 Thomas Moschny 2013-06-11 13:16:13 EDT
Not sure I understand.

RHEL5 doesn't have python-sphinx
EPEL5 has python-sphinx10-1.0.4-3.el5
RHEL6 has python-sphinx-0.6.6-2.el6, which is insufficient.
EPEL6 has python-sphinx10-1.0.8-1.el6

The idea was to use python-sphinx if on fedora and python-sphinx10 if on rhel, (i.e. for epel) and imho the conditionals worked fine.

So, now I am *guessing* you are compiling for a yet-to-come rhel7, including a python-sphinx package > 1.0.

If that is true, the conditional should probably read:

%if 0%{rhel} > 6 || 0%{?fedora}

What do you think?

Same comment applies to bug 973321.
Comment 2 Endi Sukma Dewata 2013-06-11 13:38:40 EDT
Yes, I'm trying to compile for RHEL 7 which has python-sphinx-1.1.3-7, the same as in F19. Is that sufficient? In that case the conditional you described should work. Thanks!
Comment 3 Endi Sukma Dewata 2013-06-13 11:14:08 EDT
Hi, could we raise the priority of this bug? This issue is blocking the RHEL 7 build and several other components depending on it. Thanks!
Comment 4 Fedora Update System 2013-06-13 14:46:31 EDT
pytest-2.3.5-3.fc19 has been submitted as an update for Fedora 19.
Comment 5 Fedora Update System 2013-06-14 19:13:40 EDT
Package pytest-2.3.5-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pytest-2.3.5-3.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-06-29 14:33:13 EDT
pytest-2.3.5-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.